require_relative '../helper.rb'

class TestTestCase < Test::Unit::TestCase
  def test_assert_true_should_pass
    assert true
    assert_equal :test_assert_true_should_pass, __method__
  end

  test '"assert true" should pass' do
    assert true
    assert_equal :'test "assert true" should pass ', __method__
  end

  test 'class variable should not be defined' do
    assert !defined?(@class)
    assert_equal :'test class variable should not be defined ', __method__
  end

  test '#something should not have a class added to it' do
    assert_equal :'test #something should not have a class added to it ', __method__
  end
end
