require_relative '../helper.rb'

class DumbTest < Test::Unit::TestCase
  test 'class variable should exist' do
    assert defined?(@class)
    assert_same Dumb, @class
  end

  test '#instance_method should prefix class name' do
    assert_equal :'test Dumb#instance_method should prefix class name ', __method__
  end

  test '.class_method should prefix class name' do
    assert_equal :'test Dumb.class_method should prefix class name ', __method__
  end

  test 'this should not prefix class name' do
    assert_equal :'test this should not prefix class name ', __method__
  end
end
